InfoGrab Docs

Debian 그룹 배포판 API

요약

이 API를 사용하여 Debian 그룹 배포판을 관리합니다. 이 API는 개발 중이며 프로덕션 사용을 위한 것이 아닙니다. Debian 그룹 저장소 지원은 아직 진행 중인 작업입니다. Debian 배포판 API에 인증을 참조하세요.

히스토리

이 API를 사용하여 Debian 그룹 배포판을 관리합니다. 이 API는 기본적으로 비활성화된 기능 플래그 뒤에 있습니다. 이 API를 사용하려면 활성화해야 합니다.

Warning

이 API는 개발 중이며 프로덕션 사용을 위한 것이 아닙니다.

Debian 그룹 API 활성화#

Debian 그룹 저장소 지원은 아직 진행 중인 작업입니다. 기본적으로 비활성화된 기능 플래그 뒤에 있습니다. GitLab Rails 콘솔에 액세스 권한이 있는 GitLab 관리자는 이를 활성화할 수 있습니다. 활성화하려면 Debian 그룹 API 활성화의 지침을 따르세요.

Debian 배포판 API에 인증#

Debian 배포판 API에 인증을 참조하세요.

그룹의 모든 Debian 배포판 목록#

지정된 그룹의 모든 Debian 배포판을 나열합니다.

GET /groups/:id/-/debian_distributions
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string 아니요 특정 codename으로 필터링.
suite string 아니요 특정 suite로 필터링.
curl --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions"

응답 예시:

[
  {
    "id": 1,
    "codename": "sid",
    "suite": null,
    "origin": null,
    "label": null,
    "version": null,
    "description": null,
    "valid_time_duration_seconds": null,
    "components": [
      "main"
    ],
    "architectures": [
      "all",
      "amd64"
    ]
  }
]

Debian 그룹 배포판 검색#

그룹의 지정된 Debian 그룹 배포판을 검색합니다.

GET /groups/:id/-/debian_distributions/:codename
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string 배포판의 codename.
curl --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable"

응답 예시:

{
  "id": 1,
  "codename": "sid",
  "suite": null,
  "origin": null,
  "label": null,
  "version": null,
  "description": null,
  "valid_time_duration_seconds": null,
  "components": [
    "main"
  ],
  "architectures": [
    "all",
    "amd64"
  ]
}

Debian 그룹 배포판 키 검색#

그룹의 지정된 Debian 그룹 배포판 키를 검색합니다.

GET /groups/:id/-/debian_distributions/:codename/key.asc
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string 배포판의 codename.
curl --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable/key.asc"

응답 예시:

-----BEGIN PGP PUBLIC KEY BLOCK-----
Comment: Alice's OpenPGP certificate
Comment: https://www.ietf.org/id/draft-bre-openpgp-samples-01.html

mDMEXEcE6RYJKwYBBAHaRw8BAQdArjWwk3FAqyiFbFBKT4TzXcVBqPTB3gmzlC/U
b7O1u120JkFsaWNlIExvdmVsYWNlIDxhbGljZUBvcGVucGdwLmV4YW1wbGU+iJAE
ExYIADgCGwMFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTrhbtfozp14V6UTmPy
MVUMT0fjjgUCXaWfOgAKCRDyMVUMT0fjjukrAPoDnHBSogOmsHOsd9qGsiZpgRnO
dypvbm+QtXZqth9rvwD9HcDC0tC+PHAsO7OTh1S1TC9RiJsvawAfCPaQZoed8gK4
OARcRwTpEgorBgEEAZdVAQUBAQdAQv8GIa2rSTzgqbXCpDDYMiKRVitCsy203x3s
E9+eviIDAQgHiHgEGBYIACAWIQTrhbtfozp14V6UTmPyMVUMT0fjjgUCXEcE6QIb
DAAKCRDyMVUMT0fjjlnQAQDFHUs6TIcxrNTtEZFjUFm1M0PJ1Dng/cDW4xN80fsn
0QEA22Kr7VkCjeAEC08VSTeV+QFsmz55/lntWkwYWhmvOgE=
=iIGO
-----END PGP PUBLIC KEY BLOCK-----

Debian 그룹 배포판 생성#

지정된 그룹의 Debian 그룹 배포판을 생성합니다.

POST /groups/:id/-/debian_distributions
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string Debian 배포판의 codename.
suite string 아니요 새 Debian 배포판의 suite.
origin string 아니요 새 Debian 배포판의 origin.
label string 아니요 새 Debian 배포판의 label.
version string 아니요 새 Debian 배포판의 version.
description string 아니요 새 Debian 배포판의 description.
valid_time_duration_seconds integer 아니요 새 Debian 배포판의 유효 시간 기간(초).
components string array 아니요 새 Debian 배포판의 컴포넌트 목록.
architectures string array 아니요 새 Debian 배포판의 아키텍처 목록.
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions?codename=sid"

응답 예시:

{
  "id": 1,
  "codename": "sid",
  "suite": null,
  "origin": null,
  "label": null,
  "version": null,
  "description": null,
  "valid_time_duration_seconds": null,
  "components": [
    "main"
  ],
  "architectures": [
    "all",
    "amd64"
  ]
}

Debian 그룹 배포판 업데이트#

그룹의 지정된 Debian 그룹 배포판을 업데이트합니다.

PUT /groups/:id/-/debian_distributions/:codename
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string Debian 배포판의 새 codename.
suite string 아니요 Debian 배포판의 새 suite.
origin string 아니요 Debian 배포판의 새 origin.
label string 아니요 Debian 배포판의 새 label.
version string 아니요 Debian 배포판의 새 version.
description string 아니요 Debian 배포판의 새 description.
valid_time_duration_seconds integer 아니요 Debian 배포판의 새 유효 시간 기간(초).
components string array 아니요 Debian 배포판의 새 컴포넌트 목록.
architectures string array 아니요 Debian 배포판의 새 아키텍처 목록.
curl --request PUT \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable?suite=new-suite&valid_time_duration_seconds=604800"

응답 예시:

{
  "id": 1,
  "codename": "sid",
  "suite": "new-suite",
  "origin": null,
  "label": null,
  "version": null,
  "description": null,
  "valid_time_duration_seconds": 604800,
  "components": [
    "main"
  ],
  "architectures": [
    "all",
    "amd64"
  ]
}

Debian 그룹 배포판 삭제#

그룹의 지정된 Debian 그룹 배포판을 삭제합니다.

DELETE /groups/:id/-/debian_distributions/:codename
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string Debian 배포판의 codename.
curl --request DELETE \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable"

Debian 그룹 배포판 API

Tier: Free, Premium, Ultimate
Offering: GitLab Self-Managed
원문 보기
요약

이 API를 사용하여 Debian 그룹 배포판을 관리합니다. 이 API는 개발 중이며 프로덕션 사용을 위한 것이 아닙니다. Debian 그룹 저장소 지원은 아직 진행 중인 작업입니다. Debian 배포판 API에 인증을 참조하세요.

히스토리

이 API를 사용하여 Debian 그룹 배포판을 관리합니다. 이 API는 기본적으로 비활성화된 기능 플래그 뒤에 있습니다. 이 API를 사용하려면 활성화해야 합니다.

Warning

이 API는 개발 중이며 프로덕션 사용을 위한 것이 아닙니다.

Debian 그룹 API 활성화#

Debian 그룹 저장소 지원은 아직 진행 중인 작업입니다. 기본적으로 비활성화된 기능 플래그 뒤에 있습니다. GitLab Rails 콘솔에 액세스 권한이 있는 GitLab 관리자는 이를 활성화할 수 있습니다. 활성화하려면 Debian 그룹 API 활성화의 지침을 따르세요.

Debian 배포판 API에 인증#

Debian 배포판 API에 인증을 참조하세요.

그룹의 모든 Debian 배포판 목록#

지정된 그룹의 모든 Debian 배포판을 나열합니다.

GET /groups/:id/-/debian_distributions
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string 아니요 특정 codename으로 필터링.
suite string 아니요 특정 suite로 필터링.
curl --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions"

응답 예시:

[
  {
    "id": 1,
    "codename": "sid",
    "suite": null,
    "origin": null,
    "label": null,
    "version": null,
    "description": null,
    "valid_time_duration_seconds": null,
    "components": [
      "main"
    ],
    "architectures": [
      "all",
      "amd64"
    ]
  }
]

Debian 그룹 배포판 검색#

그룹의 지정된 Debian 그룹 배포판을 검색합니다.

GET /groups/:id/-/debian_distributions/:codename
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string 배포판의 codename.
curl --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable"

응답 예시:

{
  "id": 1,
  "codename": "sid",
  "suite": null,
  "origin": null,
  "label": null,
  "version": null,
  "description": null,
  "valid_time_duration_seconds": null,
  "components": [
    "main"
  ],
  "architectures": [
    "all",
    "amd64"
  ]
}

Debian 그룹 배포판 키 검색#

그룹의 지정된 Debian 그룹 배포판 키를 검색합니다.

GET /groups/:id/-/debian_distributions/:codename/key.asc
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string 배포판의 codename.
curl --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable/key.asc"

응답 예시:

-----BEGIN PGP PUBLIC KEY BLOCK-----
Comment: Alice's OpenPGP certificate
Comment: https://www.ietf.org/id/draft-bre-openpgp-samples-01.html

mDMEXEcE6RYJKwYBBAHaRw8BAQdArjWwk3FAqyiFbFBKT4TzXcVBqPTB3gmzlC/U
b7O1u120JkFsaWNlIExvdmVsYWNlIDxhbGljZUBvcGVucGdwLmV4YW1wbGU+iJAE
ExYIADgCGwMFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AWIQTrhbtfozp14V6UTmPy
MVUMT0fjjgUCXaWfOgAKCRDyMVUMT0fjjukrAPoDnHBSogOmsHOsd9qGsiZpgRnO
dypvbm+QtXZqth9rvwD9HcDC0tC+PHAsO7OTh1S1TC9RiJsvawAfCPaQZoed8gK4
OARcRwTpEgorBgEEAZdVAQUBAQdAQv8GIa2rSTzgqbXCpDDYMiKRVitCsy203x3s
E9+eviIDAQgHiHgEGBYIACAWIQTrhbtfozp14V6UTmPyMVUMT0fjjgUCXEcE6QIb
DAAKCRDyMVUMT0fjjlnQAQDFHUs6TIcxrNTtEZFjUFm1M0PJ1Dng/cDW4xN80fsn
0QEA22Kr7VkCjeAEC08VSTeV+QFsmz55/lntWkwYWhmvOgE=
=iIGO
-----END PGP PUBLIC KEY BLOCK-----

Debian 그룹 배포판 생성#

지정된 그룹의 Debian 그룹 배포판을 생성합니다.

POST /groups/:id/-/debian_distributions
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string Debian 배포판의 codename.
suite string 아니요 새 Debian 배포판의 suite.
origin string 아니요 새 Debian 배포판의 origin.
label string 아니요 새 Debian 배포판의 label.
version string 아니요 새 Debian 배포판의 version.
description string 아니요 새 Debian 배포판의 description.
valid_time_duration_seconds integer 아니요 새 Debian 배포판의 유효 시간 기간(초).
components string array 아니요 새 Debian 배포판의 컴포넌트 목록.
architectures string array 아니요 새 Debian 배포판의 아키텍처 목록.
curl --request POST \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions?codename=sid"

응답 예시:

{
  "id": 1,
  "codename": "sid",
  "suite": null,
  "origin": null,
  "label": null,
  "version": null,
  "description": null,
  "valid_time_duration_seconds": null,
  "components": [
    "main"
  ],
  "architectures": [
    "all",
    "amd64"
  ]
}

Debian 그룹 배포판 업데이트#

그룹의 지정된 Debian 그룹 배포판을 업데이트합니다.

PUT /groups/:id/-/debian_distributions/:codename
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string Debian 배포판의 새 codename.
suite string 아니요 Debian 배포판의 새 suite.
origin string 아니요 Debian 배포판의 새 origin.
label string 아니요 Debian 배포판의 새 label.
version string 아니요 Debian 배포판의 새 version.
description string 아니요 Debian 배포판의 새 description.
valid_time_duration_seconds integer 아니요 Debian 배포판의 새 유효 시간 기간(초).
components string array 아니요 Debian 배포판의 새 컴포넌트 목록.
architectures string array 아니요 Debian 배포판의 새 아키텍처 목록.
curl --request PUT \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable?suite=new-suite&valid_time_duration_seconds=604800"

응답 예시:

{
  "id": 1,
  "codename": "sid",
  "suite": "new-suite",
  "origin": null,
  "label": null,
  "version": null,
  "description": null,
  "valid_time_duration_seconds": 604800,
  "components": [
    "main"
  ],
  "architectures": [
    "all",
    "amd64"
  ]
}

Debian 그룹 배포판 삭제#

그룹의 지정된 Debian 그룹 배포판을 삭제합니다.

DELETE /groups/:id/-/debian_distributions/:codename
속성 유형 필수 설명
id integer or string 그룹의 ID 또는 URL 인코딩된 경로.
codename string Debian 배포판의 codename.
curl --request DELETE \
  --header "PRIVATE-TOKEN: <your_access_token>" \
  --url "https://gitlab.example.com/api/v4/groups/5/-/debian_distributions/unstable"